Bug 4833 - Show acquisition information when ordering from a suggestion
Summary: Show acquisition information when ordering from a suggestion
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: cgi-bin/koha/acqui/newordersuggestion...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 17:02 UTC by Nicole C. Engard
Modified: 2019-07-30 13:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds the following fields to the suggestions selection table when adding a new order by selecting from a suggestion: * library * fund * price * quantity * total
Version(s) released in:
19.05.00


Attachments
Bug 4833: Show acq information when selecting suggestion for order (3.88 KB, patch)
2019-03-11 23:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 4833: Show acq information when selecting suggestion for order (4.09 KB, patch)
2019-04-18 09:10 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 4833: Show acq information when selecting suggestion for order (4.15 KB, patch)
2019-04-30 06:53 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 4833: (QA follow-up) Add budgetname to SearchSuggestion (3.52 KB, patch)
2019-05-11 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-05-27 17:02:50 UTC
When you are adding a suggestion to the basket you see only some of the info from the suggestion. At the very least it should show the budget that the item should be ordered from since this is acquisitions and the budget is a field on the suggestion.
Comment 1 Katrin Fischer 2019-03-11 23:12:03 UTC
Created attachment 86493 [details] [review]
Bug 4833: Show acq information when selecting suggestion for order

When adding an order line to a basket using the 'from a suggestion'
feature, the list of accepted suggestions doesn't show any information
from the acquisition are of the suggestions.

This patch adds new columns to the list for:
- library
- fund
- price
- quantity
- total

To test:
- Create several suggestions with
  - Empty acq values
  - A specific library, any library
  - Set acq values (fund, price, quantity)
  - Accept your suggestions
- Create a new basket/order
  - Add an order line from accepted suggestions
  - Verify the list displays nicely with the new columns
  - Verify filters etc. still work ok
Comment 2 sandboxes@biblibre.com 2019-04-18 09:10:10 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 sandboxes@biblibre.com 2019-04-18 09:10:30 UTC
Created attachment 88272 [details] [review]
Bug 4833: Show acq information when selecting suggestion for order

When adding an order line to a basket using the 'from a suggestion'
feature, the list of accepted suggestions doesn't show any information
from the acquisition are of the suggestions.

This patch adds new columns to the list for:
- library
- fund
- price
- quantity
- total

To test:
- Create several suggestions with
  - Empty acq values
  - A specific library, any library
  - Set acq values (fund, price, quantity)
  - Accept your suggestions
- Create a new basket/order
  - Add an order line from accepted suggestions
  - Verify the list displays nicely with the new columns
  - Verify filters etc. still work ok

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2019-04-18 09:11:50 UTC
Everything seemed to be ok for me, thanks Cait !
Comment 5 Katrin Fischer 2019-04-18 10:25:24 UTC
(In reply to Séverine Queune from comment #4)
> Everything seemed to be ok for me, thanks Cait !

Thx Severine!
Comment 6 Chris Cormack 2019-04-30 06:53:25 UTC
Created attachment 89095 [details] [review]
Bug 4833: Show acq information when selecting suggestion for order

When adding an order line to a basket using the 'from a suggestion'
feature, the list of accepted suggestions doesn't show any information
from the acquisition are of the suggestions.

This patch adds new columns to the list for:
- library
- fund
- price
- quantity
- total

To test:
- Create several suggestions with
  - Empty acq values
  - A specific library, any library
  - Set acq values (fund, price, quantity)
  - Accept your suggestions
- Create a new basket/order
  - Add an order line from accepted suggestions
  - Verify the list displays nicely with the new columns
  - Verify filters etc. still work ok

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 7 Katrin Fischer 2019-04-30 09:05:49 UTC
Thx for QA!
Comment 8 Nick Clemens 2019-05-09 18:30:42 UTC
(In reply to Katrin Fischer from comment #7)
> Thx for QA!

I am a little worried about the impact of this in a larger system - we are calling GetBudget for every suggestion - that is a DB hit per suggestion - I would rather see this info pulled in SearchSuggestion so that we maintain a single call for all the suggestions

Can I get a second QA opinion here?
Comment 9 Katrin Fischer 2019-05-09 19:59:50 UTC
(In reply to Nick Clemens from comment #8)
> (In reply to Katrin Fischer from comment #7)
> > Thx for QA!
> 
> I am a little worried about the impact of this in a larger system - we are
> calling GetBudget for every suggestion - that is a DB hit per suggestion - I
> would rather see this info pulled in SearchSuggestion so that we maintain a
> single call for all the suggestions
> 
> Can I get a second QA opinion here?

I am not sure how expensive it is, tbh, but I wouldn't expect a big number of accepted suggestions even in a bigger system. Maybe I am mistaken there. Just saying we only show a subset of data here. 

There are some other places where GetBudget is used:
http://git.koha-community.org/gitweb/?p=koha.git&a=search&h=HEAD&st=grep&s=GetBudget%28
Comment 10 Katrin Fischer 2019-05-09 20:08:27 UTC
Talked to Nick, it makes sense, but I won't be able to fix probably for this release, sorry.
Comment 11 Katrin Fischer 2019-05-11 21:02:16 UTC
Created attachment 89618 [details] [review]
Bug 4833: (QA follow-up) Add budgetname to SearchSuggestion

This patch adds the budgetname to the return of SearchSuggestion
to improve performance.

To test:
- Same test plan as for the first patch
- Verify fund names show in the table
- Run t/db_dependent/Suggestions.t
Comment 12 Katrin Fischer 2019-05-11 21:02:50 UTC
A late night attempt - Nick, can you check please?
Comment 13 Nick Clemens 2019-05-15 17:06:09 UTC
Awesome work all!

Pushed to master for 19.05
Comment 14 Martin Renvoize 2019-05-30 19:28:09 UTC
Enhancement will not be backported to 18.11.x series.